Subject: bug#18749: 24.3.94; CC Mode 5.32.5 (C/l); cc-mode state cache failure leading to bad indentation

From: Stefan Monnier <[email-masked]>
Date: Sat, 18 Oct 2014 15:11:49 -0400

> That would be all very well if all movement and scanning primitives
> (like `scan-lists' and the things that use it) actually had limit
> parameters.  They don't.  What alternative, then, is there to narrowing?

In the worst case you can narrow just around the call to scan-lists.
Or you live with the fact that it might move further than you intended.
I've changed a fair bit of code to avoid narrowing, and haven't bumped
into any real show stopper so far.

        Stefan